Bug 45880 - Problems with Windows service installer
Problems with Windows service installer
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Native:Packaging
5.5.27
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-09-24 08:37 UTC by Sebb
Modified: 2009-06-03 13:40 UTC (History)
0 users



Attachments
Directory listing of src tree (6.17 KB, text/plain)
2008-09-24 08:37 UTC, Sebb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sebb 2008-09-24 08:37:03 UTC
Created attachment 22630 [details]
Directory listing of src tree

The Windows service installer fails to install the NOTICE and RELEASE-NOTES
files in the target directory. (Same in Tomcat 6 - Bug 45879).

Also, the installer creates several files in the src/ directory (even for a Normal installation) which don't seem to belong there - see the attached listing for details.
Comment 1 Mark Thomas 2008-09-24 13:18:40 UTC
The following  patch has been proposed to fix this:
http://people.apache.org/~markt/patches/2008-09-24-bug45880.patch
Comment 2 Sebb 2008-09-25 05:03:58 UTC
The patch does not seem to address adding RELEASE-NOTES to the top-level directory, which is where the binary archive puts them.
Comment 3 Mark Thomas 2009-06-03 13:40:08 UTC
The patch has been applied to 5.5.x and will be included in 5.5.28 onwards.